## python-pybadges 3.0.1

=== server-example/requirements.txt ===
Flask>=2.0
pybadges

## python-pybadges 2.2.1

=== debian/changelog ===
python-pybadges (2.2.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * Update d/watch to work with github again.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Set Rules-Requires-Root: no.
  * Use uscan version 4.
  * Fix copyright issues (Closes: #940535).
  * Add patch to use canonicalized XML representation when testing for
    equality.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Oct 2021 20:14:16 +0000

python-pybadges (2.2.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Nov 2019 22:12:18 +0100

python-pybadges (2.0.2-1) unstable; urgency=low

  * Initial release (Closes: #928142).

 -- Michael Fladischer <fladi@debian.org>  Sun, 14 Apr 2019 13:09:56 +0200

=== debian/control ===
Source: python-pybadges
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-jinja2,
 python3-requests,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://github.com/google/pybadges/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pybadges
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pybadges.git
Rules-Requires-Root: no

Package: python3-pybadges
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: library for creating Github-style badges (Python3 version)
 pybadges is a Python library and command line tool that allows you to create
 Github-style badges as SVG images. The implementation of the library was
 heavily influenced by Shields.io and the JavaScript gh-badges library.
 .
 This package contains the Python 3 version of the library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-pybadges-$1/ \
https://github.com/google/pybadges/releases \
/google/pybadges/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-pybadges 3.0.0

=== debian/changelog ===
python-pybadges (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Use github tags instead of releases for d/watch.
  * Refresh patches.
  * Build-Depend on xmldiff for tests.
  * Depend on python3-all for autopkgtests.
  * Bump Standards-Version to 4.6.1.0.
  * Update d/copyright with new years.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Mon, 10 Oct 2022 18:37:14 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  python3-requests,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.0.1
+ xmldiff,
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/google/pybadges/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pybadges
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pybadges.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pybadges
export DISABLE_NETWORK=1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-pybadges-$1/ \
https://github.com/google/pybadges/tags \
/google/pybadges/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-pybadges 3.0.1

=== debian/changelog ===
python-pybadges (3.0.1-2) unstable; urgency=medium

  * Team Upload
  * Do not use @builddeps@ in autopkgtest, but rather minimal depencies.
  * It allow us to see that python3-pkg-resources was missing at runtime,
    we could not know before because:
      @builddeps@         was pulling in python3-setuptools
      python3-setuptools  was pulling in python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Feb 2025 01:19:27 +0100

python-pybadges (3.0.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.0.1
  * Refresh patch
  * Use dh-sequence-python3
  * Patch out imghdr (Closes: #1082253, #1084619)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Nov 2024 23:24:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-jinja2,
  python3-requests,
  python3-pytest,
  python3-setuptools,
  xmldiff,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/google/pybadges/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pybadges
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pybadges.git
@@ -22,6 +22,7 @@
 Package: python3-pybadges
 Architecture: all
 Depends:
+ python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Description: library for creating Github-style badges (Python3 version)

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export DISABLE_NETWORK=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-pytest,
 xmldiff,
 @,
Restrictions: allow-stderr
